<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.5, user-scalable=no">
	<title><?php echo $pageTitle ?></title>
	<meta name="description" content="" />
	<meta name="keywords" content="" />
	<meta content="text/html; charset=UTF-8" http-equiv="Content-Type" />
	<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon">
	<script language="JavaScript" type="text/javascript" src="<?php echo WWW_ROOT ?>/data/js/jquery.js"></script>
	<script type="text/javascript" src="<?php echo WWW_ROOT ?>/admin/js/drunya.lib.js"></script>
	<link rel="StyleSheet" type="text/css" href="<?php echo WWW_ROOT ?>/admin/template/css/style.css" />

	<script type="text/javascript">

	$(document).ready(function(){
		setTimeout(function(){
			$('#overlay').height($('#wrapper').height());
		}, 2000);
	});
	</script>

	<link type="text/css" rel="StyleSheet" href="<?php echo WWW_ROOT ?>/admin/template/css/fancy.css" />
	<script type="text/javascript" src="<?php echo WWW_ROOT ?>/admin/js/jquery.fancybox.js"></script>
	<script type="text/javascript">
	$(document).ready(function() {
		$("a.gallery").fancybox();
	});
</script>
</head> 
<body>
<span id="linkleftmenu" onclick="leftm()"></span>
<span id="linkrightmenu" onclick="rightm()"></span>
	<div id="wrapper">
	    <!--menus-->
        <div class="rcrumbs">
            <?php echo (!empty($pageNavr)) ? $pageNavr : ''; ?>
        </div>
        <div class="crumbs">
            <div><?php echo (!empty($pageNav)) ? $pageNav : ''; ?></div>
        </div>
		<div class="side-menu" id="leftmenu">
							<!--<div class="search">
								<form>
									<div class="input"><input type="text" name="search" placeholder="Search..." /></div>
									<input class="submit-butt" type="submit" name="send" value="" />
								</form>
							</div>-->
							<div class="nameleftmenu"><?php echo __('Modules'); ?></div>
							<ul>
							
							
							
							<?php
							$modsInstal = new ModuleInstaller;
							$newmodules = $modsInstal->checkNewModules();

							if (count($newmodules)):
								foreach ($newmodules as $n => $module):
							?>	
							
								<li>
									<div class="icon new-module"></div><a href="#"><?php echo __($module,false,$module); ?></a>
									<div class="sub-opener" onClick="subMenu('sub<?php echo $module; ?>')"></div>
									<div class="clear"></div>
									<div id="sub<?php echo $module; ?>" class="sub">
										<div class="shadow">
											<ul>
												<li><a href="<?php echo WWW_ROOT; ?>/admin?install=<?php echo $module ?>"><?php echo __('Install') ?></a></li>
											</ul>
										</div>
									</div>
								</li>
							<?php
								endforeach;
							endif;




                            $modules = getAdmFrontMenuParams();
                            
                            $i=0;
                            foreach ($modules as $modKey => $modData): 
                                if (!empty($nsmods) && array_key_exists($modKey, $nsmods)) continue;
                                if (Config::read('active', $modKey) != 1) continue;
                                if ($i==0) {
                                ?>
                                    <li class="cat_on">
                                        <?php echo __('On modules'); ?>
                                    </li>
                                <?php
                                }
                                $i=1;
                                ?>
                                <li>
                                    <div class="icon <?php echo $modKey ?>"></div><a href="<?php echo $modData['url']; ?>"><?php echo $modData['ankor']; ?></a>
                                    <div class="sub-opener" onClick="subMenu('sub<?php echo $modKey ?>')"></div>
                                    <div class="clear"></div>
                                    <div id="sub<?php echo $modKey ?>" class="sub">
                                        <div class="shadow">
                                            <ul>
                                                <?php foreach ($modData['sub'] as $url => $ankor): ?>
                                                <li><a href="<?php echo $url; ?>"><?php echo $ankor; ?></a></li>
                                                <?php endforeach; ?>
                                            </ul>
                                        </div>
                                    </div>
                                </li>
                            <?php endforeach;

                            $i=0;
                            foreach ($modules as $modKey => $modData):
                                if (!empty($nsmods) && array_key_exists($modKey, $nsmods)) continue;
                                if (Config::read('active', $modKey) == 1) continue;
                                if ($i==0) {
                                ?>
                                    <li class="cat_off">
                                        <?php echo __('Off modules'); ?>
                                    </li>
                                <?php
                                }
                                $i=1;
                                ?>
                                <li>
                                    <div class="icon <?php echo $modKey ?>"></div><a href="<?php echo $modData['url']; ?>"><?php echo $modData['ankor']; ?></a>
                                    <?php if (isset($modData['sub'])): ?>
                                    <div class="sub-opener" onClick="subMenu('sub<?php echo $modKey ?>')"></div>
                                    <div class="clear"></div>
                                    <div id="sub<?php echo $modKey ?>" class="sub">
                                        <div class="shadow">
                                            <ul>
                                                <?php foreach ($modData['sub'] as $url => $ankor): ?>
                                                <li><a href="<?php echo $url; ?>"><?php echo $ankor; ?></a></li>
                                                <?php endforeach; ?>
                                            </ul>
                                        </div>
                                    </div>
                                    <?php endif; ?>
                                </li>
                            <?php endforeach; ?>

                            </ul>
                            <div class="clear"></div>
					</div>
		
		<!-- /AdminBar -->
		<div class="headmenu" id="rightmenu">
		    <span class="homelink"><a href="<?php echo WWW_ROOT ?>/admin" title="<?php echo __('Main page'); ?>"></a></span>
			<div class="menu" id="topmenu">
				<ul>
					<li><span><?php echo __('General'); ?></span></li>
					<li><span><?php echo __('Plugins'); ?></span></li>
					<li><span><?php echo __('Snippets'); ?></span></li>
					<li><span><?php echo __('Design'); ?></span></li>
					<li><span><?php echo __('Security'); ?></span></li>
					<li><span><?php echo __('Additional'); ?></span></li>
					<li><span><?php echo __('Help'); ?></span></li>
					<div class="clear"></div>
				</ul>
			</div>
			<div class="userbar">
				<?php
				if (!empty($_SESSION['user']['name'])) {
					$ava_path = getAvatar($_SESSION['user']['id'], $_SESSION['user']['email']);
					$user_url = get_url('users/info/' . $_SESSION['user']['id']);
				}
				@ini_set('default_socket_timeout', 5);
				$new_ver = @file_get_contents('http://atom-m.net/last.php?host=' . $_SERVER['HTTP_HOST']);
				$new_ver = ((!empty($new_ver)) && ($new_ver == h($new_ver)) && ($new_ver != ATOM_VERSION)) 
				? '<a class="usually_link" href="https://bitbucket.org/atom-m/cms" title="Last version">' . h($new_ver) . '</a>' 
				: '';
				?>
				<div class="ava"><img src="<?php echo $ava_path; ?>" alt="user ava" title="user ava" /></div>
				<div class="name"><a href="<?php echo $user_url; ?>" target="_blank"><?php echo h($_SESSION['user']['name']); ?></a><span>Admin</span></div>
				<a href="<?php echo WWW_ROOT ?>/admin/exit.php" class="exit" title="<?php echo __('Sign out') ?>"></a>
			</div>
			<div class="clear"></div>
		</div>
	    <script type="text/javascript">

		document.top_menu = new drunyaMenu([
		['<?php echo __('General'); ?>',
		  [
		  '<span><?php echo __('Version of Atom-M'); ?><br /> [ <b><?php echo ATOM_VERSION ?></b> ]<?php if ($new_ver): ?><br /><?php echo __('New version of Atom-M'); ?><br /> [ <?php echo $new_ver; ?> ]<?php endif; ?></span>',
		  '<a href="<?php echo WWW_ROOT ?>/admin/settings.php?m=__sys__"><?php echo __('Common settings'); ?></a>',
		  '<a href="<?php echo WWW_ROOT ?>/admin/clean_cache.php"><?php echo __('Clean cache'); ?></a>'
		  ]],

		['<?php echo __('Plugins'); ?>',
		  [
		  '<a href="<?php echo WWW_ROOT ?>/admin/plugins.php" style="text-align: center"><?php echo __('Plugins manager'); ?></a>',
		  <?php
            $Cache = new Cache;
            $Cache->lifeTime = 6000;
            if ($Cache->check('adm_pl_settings')) {
                $list = $Cache->read('adm_pl_settings');
            } else {
                $plugins = glob(ROOT . '/plugins/*');
                $list = '';
                if (!empty($plugins) && count($plugins) > 0) {
                    foreach ($plugins as $pl) {
                        if (file_exists($pl . '/config.json')) {
                            $config = json_decode(file_get_contents($pl . '/config.json'), 1);
                            if (!empty($config['active'])) {
                                $settigs_file_path = $pl . '/settings.php';
                                if (file_exists($settigs_file_path))
                                    $list .= "'<a href=\"/admin/plugins.php?ac=edit&dir=".substr($pl, strripos($pl, '/')+1)."\">".h($config['title'])."</a>',";
                            }
                        }
                    }
                }
                $Cache->write($list, 'adm_pl_settings', array());
            }
            echo $list;
		  ?>
		  ]],

		  
		  
		['<?php echo __('Snippets'); ?>',
		  [
		  '<a href="<?php echo WWW_ROOT ?>/admin/snippets.php"><?php echo __('Create'); ?></a>',
		  '<a href="<?php echo WWW_ROOT ?>/admin/snippets.php?a=ed"><?php echo __('Edit'); ?></a>'
		  ]],

		  
		 
		['<?php echo __('Design'); ?>',
		  [
		  '<a href="<?php echo WWW_ROOT ?>/admin/design.php?d=default&t=main"><?php echo __('General design and css'); ?></a>',
		  '<a href="<?php echo WWW_ROOT ?>/admin/menu_editor.php"><?php echo __('Menu editor'); ?></a>',
          '<a href="<?php echo WWW_ROOT ?>/admin/errors_tmp.php"><?php echo __('Error pages'); ?></a>'
		  ]],


		['<?php echo __('Security'); ?>',
		  [
		  '<a href="<?php echo WWW_ROOT ?>/admin/settings.php?m=__secure__"><?php echo __('Security settings'); ?></a>',
		  '<a href="<?php echo WWW_ROOT ?>/admin/system_log.php"><?php echo __('Action log'); ?></a>',
		  '<a href="<?php echo WWW_ROOT ?>/admin/ip_ban.php"><?php echo __('Bans by IP'); ?></a>',
		  '<a href="<?php echo WWW_ROOT ?>/admin/dump.php"><?php echo __('Backup control'); ?></a>',
          '<a href="<?php echo WWW_ROOT ?>/admin/rules.php"><?php echo __('Rules editor'); ?></a>'
		  ]],
		  
		  
		['<?php echo __('Additional'); ?>',
		  [
		  '<a href="<?php echo WWW_ROOT ?>/admin/settings.php?m=__seo__"><?php echo __('SEO settings'); ?></a>',
		  '<a href="<?php echo WWW_ROOT ?>/admin/settings.php?m=__rss__"><?php echo __('RSS settings'); ?></a>',
		  '<a href="<?php echo WWW_ROOT ?>/admin/settings.php?m=__sitemap__"><?php echo __('Sitemap settings'); ?></a>',
		  '<a href="<?php echo WWW_ROOT ?>/admin/settings.php?m=__preview__"><?php echo __('Preview settings'); ?></a>',
		  '<a href="<?php echo WWW_ROOT ?>/admin/settings.php?m=__watermark__"><?php echo __('Watermark settings'); ?></a>',
		  '<a href="<?php echo WWW_ROOT ?>/admin/additional_fields.php?m=comments"><?php echo __('Add fields comments'); ?></a>'
		  ]],
		  

        ['<?php echo __('Help'); ?>',
          [
          '<a href="http://dev.atom-m.net" target="_blank"><?php echo __('Atom-M CMS Community'); ?></a>',
          '<a href="https://bitbucket.org/atom-m/cms/wiki/Home" target="_blank"><?php echo __('Wiki'); ?></a>',
          '<a href="<?php echo WWW_ROOT ?>/admin/faq.php"><?php echo __('FAQ'); ?></a>',
          '<a href="<?php echo WWW_ROOT ?>/admin/authors.php"><?php echo __('Dev. Team'); ?></a>',
          ]]
        ]);

		</script>
		<!-- /AdminBar -->
		<!--/menus-->
		
		<div class="center-wrapper">
		
			<div class="side-separator">
				<div style="position:relative;">

						<div id="content-wrapper">






<?php /*
<!-- navi -->
<div class="topnav">
<div class="left"><?php echo $pageNav; ?><div class="right"><?php echo $pageNavl; ?></div></div>
</div>
<!-- /navi -->
*/ ?>










