<?php
/*
@Subpackege    Strrpos filter
@Site:         http://cms.modos189.ru/
@Package       AtomM CMS
*/

class Fps_Viewer_Filter_Strrpos {

    private $params = array();

	public function compile($value, Fps_Viewer_CompileParser $compiler)
	{
        if (empty($this->params[0])) throw new Exception('First parameter is not exists in "Strrpos" filter.');
        if (!is_callable($value)) throw new Exception('(Filter_Strrpos):Value for filtering must be callable.');
        
        $compiler->raw('strrpos(');
        $value($compiler);
        $compiler->raw(',');
        $this->params[0]->compile($compiler);
        if (isset($this->params[1])) {
            $compiler->raw(',');
            $this->params[1]->compile($compiler);
        }
        $compiler->raw(')');
    }
	

    public function addParam($param)
    {
        $this->params[] = $param;
    }


	public function __toString()
	{
		$out = '[filter]:strrpos' . "\n";
        $out .= '[params]:' . implode("<br>\n", $this->params) . "\n";
		return $out;
	}
}