#Atom-M CMS

##Описание
Atom-M CMS - это мощная, хорошо защищённая, не требовательная к ресурсам система управления сайтом, предназначенная для создания как сайта-визитки, так и мультимедийного портала с элементами социальной сети.

Проект Atom-M развивается сообществом свободных разработчиков и его целью является создание действительно удобной CMS для создания вашего сайта.

Наша презентационная страничка: [atom-m.net](http://atom-m.net)

Наш сайт [dev.atom-m.net](http://dev.atom-m.net)

Ответы на все вопросы хранятся в [Wiki-энциклопедии по Atom-M CMS](https://bitbucket.org/atom-m/cms/wiki)

Сообщения о багах и предложениях пожалуйста оставляйте в [нашем списке задач](https://bitbucket.org/atom-m/cms/issues). Сделаем нашу жизнь в интернете светлее вместе.

##Наши репозитории
В последнее время участились случаи появления на рынке CMS некачественной контрафактной продукции, изготавливаемой недобросовестными компаниями под брендом Atom-M © ®. Вот наши репозитории:

[https://bitbucket.org/atom-m/cms](https://bitbucket.org/atom-m/cms) - Место хранения Atom-M CMS

[https://bitbucket.org/atom-m/site](https://bitbucket.org/atom-m/site) - Наш сайт

[https://bitbucket.org/atom-m-templates](https://bitbucket.org/atom-m-templates) - Каталог шаблонов

[https://bitbucket.org/atom-m-plugins](https://bitbucket.org/atom-m-plugins) - Каталог плагинов




##Подписывайтесь, читайте и пишите!
[Twitter](https://twitter.com/AtomM_CMS)

[Google+](https://plus.google.com/+AtomMnetCMS)

[Vk](https://vk.com/atom_m)

Также приглашаем в нашу конференцию: **atomm_cms@conference.jabber.ru**

##Помощь в развитии проекта
Если вам понравился наш проект и вы хотите каким-либо образом поддержать его, вы можете сделать это любым удобным для вас способом.

Это может быть как "спасибо", так и материальная поддержка (кошельки смотреть [тут](http://atom-m.net/#info)).

Также вы можете разместить на своем сайте ссылку на наш проект или нашу кнопку.
Ну а если вы обладаете знаниями в веб разработке, то можете создавать плагины или шаблоны для Atom-M CMS.

Мы будем благодарны за любую помощь. Спасибо.

##Установка
**1.** Зарегистрируйте хостинг (или установите веб-сервер на свой компьютер).

**2.** Распакуйте все файлы архива с CMS на хостинг

**3.** Выставьте права доступа 777 на следующие файл и папки рекурсивно:

* */data/*
* */plugins/*
* */sys/logs/*
* */sys/cache/*
* */sys/tmp/*
* */sys/settings/*
* */templates/*
* */sitemap.xml*
* */robots.txt*

***** Рекурсивно это значит включая все подпапки и файлы. Это нужно выбрать при установке прав доступа.

**4.** После этого перейдите из браузера на свой сайт и следуйте инструкции.

##Лицензия
Atom-M защищён двойной лицензией:

* проприетарной для программного кода, принадлежащему AtomX (смотрите файл license_atomx.txt)
* свободной MIT License для собственных разработок (смотрите файл license_mit.txt)