<?php
/*-----------------------------------------------\
| 												 |
| @Author:       Andrey Brykin (Drunya)          |
| @Email:        drunyacoder@gmail.com           |
| @Site:         http://fapos.net                |
| @Version:      1.4                             |
| @Project:      CMS                             |
| @package       CMS Fapos                       |
| @subpackege    Admin Panel module  			 |
| @copyright     ©Andrey Brykin 2010-2013        |
\-----------------------------------------------*/

/*-----------------------------------------------\
| 												 |
|  any partial or not partial extension          |
|  CMS Fapos,without the consent of the          |
|  author, is illegal                            |
|------------------------------------------------|
|  Любое распространение                         |
|  CMS Fapos или ее частей,                      |
|  без согласия автора, является не законным     |
\-----------------------------------------------*/


include_once R.'admin/inc/adm_boot.php';




$pageTitle = __('forum');


// For all popup's(edit & add). Their must be in main wrapper
$popups_content = '';



if (!isset($_GET['ac'])) $_GET['ac'] = 'index';
$permis = array('add', 'del', 'index', 'edit', 'acl');
if (!in_array($_GET['ac'], $permis)) $_GET['ac'] = 'index';

switch($_GET['ac']) {
	case 'index':
		$out = index($pageTitle);
        $content = $out[0];
        $popups_content = $out[1];
		break;
	case 'del':
		$content = delete();
		break;
	case 'add':
		$content = add();
		break;
	case 'edit':
		$content = edit();
		break;
	case 'acl':
		$content = acl();
		break; 
	default:
		$out = index();
        $content = $out[0];
        $popups_content = $out[1];
}


$pageNav = $pageTitle;
$pageNavr = '';

include_once R.'admin/template/header.php';
 ?>


<div class="warning">
<?php echo __('If you delete a category, all the materials in it will be removed') ?><br /><br />

<?php echo __('Each forum should be inherited from the section') ?>

<?php
if (!empty($_SESSION['addErrors'])) {
	echo '<ul class="error" style="list-style-type:none;color:red;">' . $_SESSION['addErrors'] . '</ul>';
	unset($_SESSION['addErrors']);
}
?>
</div>

<?php
echo $popups_content;
echo $content;

$FpsDB = getDB();

// распределяет категории в иерархическом порядке и добавляет отступы в зависимости от иерархии
function cats($cats, $id, $i = 1) {
    $newcats = array();
    $html = '';
    foreach ($cats as $cat) {
        if (isset($cat['sub']) and $cat['sub'] == $id) {
            unset($cats[$cat['id']]['sub']);
            $newcats[$cat['id']] = $cat;
            $qqq = cats($cats, $cat['id'], $i+1);
            $html .= $cat['text1'];
            for ($z = 1; $z <= $i; $z++)
                $html .= '<div class="cat-indent"> </div>';
            $html .= $cat['text2'];
            $newcats[$cat['id']] = array_merge($newcats[$cat['id']], $qqq[1]);
            $html .= $qqq[2];
        }
    }
    return array($cats, $newcats, $html);
}


/* ACl FORUM FORM */
function showForumRulesById($id_forum) {
    $not_forums_rights = array(
        'not_use_global_rights',
        'view_forums_list',
        'download_files',
        'upload_files',
        'add_polls',
    );
    
    $ACL = Register::getClass('ACL');
    $forum_rules = $ACL->getModuleRules('forum');
    $groups_list = $ACL->get_group_info();
    $html = '<div id="acl' . $id_forum . '" class="popup" style="max-width: 80%;margin-top: -86px;">
                <div class="top">
                    <div class="title">' . __('Permissions for forum') . '</div>
                    <div onClick="closePopup(\'acl' . $id_forum . '\');" class="close"></div>
                </div>
				<form action="cat.php?ac=acl&id=' . $id_forum . '" method="POST" enctype="multipart/form-data">
                    <div class="items">
                        <div class="item">
                            <div class="left">' . __('Not use global rights for this forum') . '</div>
                            <div class="right">
                                <input
                                       name="not_use_global_rights'.'[forum.'.$id_forum.']'.'" 
                                       type="checkbox" 
                                       value="1" 
                                       '.(($ACL->turn(array('forum','not_use_global_rights'),false,$id_forum)) ? 'checked="checked"' : '').' 
                                       id="not_use_global_rights'.$id_forum.'" 
                                />
                                <label style="display:inline-block" for="not_use_global_rights'. $id_forum .'"></label>
                            </div>
                            <div class="clear"></div>
                        </div>';
               
                        
    foreach ($forum_rules as $title_rule => $rules_all) {
            if (in_array($title_rule,$not_forums_rights))
                continue;
                
            $rules = $rules_all['forum.'.$id_forum];
                
              $html .= '<div class="item">
                            <div class="left">' . __($title_rule) . '</div>
                            <div class="right">';
                            foreach($groups_list as $group_id => $group_info) {
                                $ch_id = $title_rule . '_' . $id_forum . '_' . $group_id;
                                $html .= 
                                    '<div style="display:inline-block"><input
                                       name="'.$title_rule.'['.$id_forum.'_'.$group_id.']'.'" 
                                       type="checkbox" 
                                       value="1" 
                                       '.((isset($rules['groups']) && in_array($group_id,$rules['groups'])) ? 'checked="checked"' : '').' 
                                       id="'.$ch_id.'" 
                                    />
                                    <label style="display:inline-block" for="'.$ch_id .'"></label>'
                                    .'<font color="'.$group_info['color'].'">'.$group_info['title'].'</font>
                                    </div>';
                            }
              $html .=     '</div>
                            <div class="clear"></div>
                        </div>';
    }
					
					
    $html .=            '<div class="item submit">
                            <div class="left"></div>
                            <div class="right" style="float:left;">
                                <input type="submit" value="' . __('Save') . '" name="send" class="save-button" />
                            </div>
                            <div class="clear"></div>
                         </div>
                    </div>
                </form>
            </div>';
    
    return $html;
}

/* END ACL FORUM FORM */

function index(&$page_title) {
	global $FpsDB, $popups_content;
    
    $FpsDB = getDB();
	deleteCollisions();

	$page_title = __('Forum - sections editor');
	
	$query = $FpsDB->select('forum_cat', DB_ALL, array('order' => 'previev_id'));
	
	//cats and position selectors for ADD
	if (count($query) > 0) {
		$cat_selector = '<select name="in_cat" id="cat_secId">';	
		foreach ($query as $key => $result) {
			$cat_selector .= '<option value="' . $result['id'] . '">' . h($result['title']) . '</option>';
		}
		$cat_selector .= '</select>';
	} else {
		$cat_selector = '<b>' . __('First, create a section') . '</b>';
	}
	
	$forums = $FpsDB->select('forums', DB_ALL);

	
	//selector for subforums
	$sub_selector = '<select name="parent_forum_id">';
	$sub_selector .= '<option value=""></option>';
	if (!empty($forums)) {
		foreach($forums as $forum) {
			$sub_selector .= '<option value="' . $forum['id'] . '">' . h($forum['title']) . '</option>';
		}
	}
	$sub_selector .= '</select>';
	
	
	$html = '';


		
	$popups_content .=	'<div id="sec" class="popup">
			<div class="top">
				<div class="title">' . __('Add section') . '</div>
				<div onClick="closePopup(\'sec\');" class="close"></div>
			</div>
			<form action="cat.php?ac=add" method="POST">
			<div class="items">
				<div class="item">
					<div class="left">
						' . __('Title') . ':
					</div>
					<div class="right">
						<input type="hidden" name="type" value="section" />
						<input type="text" name="title" />
					</div>
					<div class="clear"></div>
				</div>
				<div class="item">
					<div class="left">
						' . __('Section position') . ':
						<span class="comment">' . __('Numeric') . '</span>
					</div>
					<div class="right">
						<input type="text" name="in_pos" />
					</div>
					<div class="clear"></div>
				</div>
				<div class="item submit">
					<div class="left"></div>
					<div class="right" style="float:left;">
						<input type="submit" value="' . __('Save') . '" name="send" class="save-button" />
					</div>
					<div class="clear"></div>
				</div>
			</div>
			</form>
		</div>';
	
	
	
	
	$html .= '<div class="list">
		<div class="title">' . __('Management of forums') . '</div>
		<div class="add-cat-butt" onClick="openPopup(\'sec\');"><div class="add"></div>' . __('Add section') . '</div>';



	
	/*
	$html .= '<td align="right">
				<div align="right" class="topButtonL" id="cat_view"><input type="button" name="add" value="' . __('Create forum') . '" onClick="wiOpen(\'cat\');" /></div></td></tr></table>';
	*/
		
		
	if (count($query) > 0) {
		foreach ($query as $result) {

			$html .= '<div class="level1">
				<div class="head">
					<div class="title">' . h($result['title']) . '</div>
					<div class="buttons">
						<a title="' . __('Add') . '" href="#" onClick="openPopup(\'addForum' . $result['id'] . '\');" class="add"></a>
						<a title="' . __('Edit') . '" href="#" onClick="openPopup(\'editSec' . $result['id'] . '\');" class="edit"></a>
						<a title="' . __('Delete') . '" href="?ac=del&id=' . $result['id'] . '&section" onClick="return _confirm();" class="delete"></a>
					</div>
					<div class="clear"></div>
				</div>
				<div class="items">';
		
		
			// Select current section
			$cat_selector_ = str_replace('selected="selected"', ' ', $cat_selector);
			$cat_selector_ = str_replace(
				'value="' . $result['id'] .'"', 
				' selected="selected" value="' . $result['id'] .'"', 
				$cat_selector_
			);
		
		
			$popups_content .= '<div id="addForum' . $result['id'] . '" class="popup">
					<div class="top">
						<div class="title">' . __('Add section') . '</div>
						<div onClick="closePopup(\'addForum' . $result['id'] . '\');" class="close"></div>
					</div>
					<form action="cat.php?ac=add" method="POST" enctype="multipart/form-data">
					<div class="items">
						<div class="item">
							<div class="left">
								' . __('Parent section') . ':
							</div>
							<div class="right">' . $cat_selector_ . '</div>
							<div class="clear"></div>
						</div>
						<div class="item">
							<div class="left">
								' . __('Title of forum') . ':
							</div>
							<div class="right">
								<input type="hidden" name="type" value="forum" />
								<input type="text" name="title" />
							</div>
							<div class="clear"></div>
						</div>
						<div class="item">
							<div class="left">
								' . __('Forum position') . ':
								<span class="comment">' . __('Numeric') . '</span>
							</div>
							<div class="right">
								<input type="text" name="in_pos" />
							</div>
							<div class="clear"></div>
						</div>
						<div class="item">
							<div class="left">
								' . __('Parent forum') . ':
								<span class="comment">' . __('For which this will be sub-forum') . '</span>
							</div>
							<div class="right">
								' . $sub_selector . '
							</div>
							<div class="clear"></div>
						</div>
						<div class="item">
							<div class="left">
								' . __('Icon') . ':
								<span class="comment">(' . __('Empty field - no icon') . ')<br />
								' . __('The desired size 16x16 px') . '</span>
							</div>
							<div class="right">
								<input type="file" name="icon" />
							</div>
							<div class="clear"></div>
						</div>
						<div class="item">
							<div class="left">
								' . __('Description') . ':
							</div>
							<div class="right">
								<textarea name="description" /></textarea>
							</div>
							<div class="clear"></div>
						</div>
						<div class="item">
							<div class="left">
								' . __('Lock on passwd') . ':
							</div>
							<div class="right">
								<input type="text" name="lock_passwd"/>
							</div>
							<div class="clear"></div>
						</div>
						<div class="item">
							<div class="left">
								' . __('Lock on posts count') . ':
							</div>
							<div class="right">
								<input type="text" name="lock_posts"/>
							</div>
							<div class="clear"></div>
						</div>
						<div class="item submit">
							<div class="left"></div>
							<div class="right" style="float:left;">
								<input type="submit" value="' . __('Save') . '" name="send" class="save-button" />
							</div>
							<div class="clear"></div>
						</div>
					</div>
					</form>
				</div>';
				
				
				
				
			$popups_content .= '<div id="editSec' . $result['id'] . '" class="popup">
					<div class="top">
						<div class="title">' . __('Section editing') . '</div>
						<div onClick="closePopup(\'editSec' . $result['id'] . '\');" class="close"></div>
					</div>
					<form action="cat.php?ac=edit&id=' . $result['id'] . '" method="POST">
					<div class="items">
						<div class="item">
							<div class="left">
								' . __('Title') . ':
							</div>
							<div class="right">
								<input type="hidden" name="type" value="section" />
								<input type="text" name="title" value="' . $result['title'] . '" />
							</div>
							<div class="clear"></div>
						</div>
						<div class="item">
							<div class="left">
								' . __('Section position') . ':
								<span class="comment">' . __('Numeric') . '</span>
							</div>
							<div class="right">
								<input type="text" name="in_pos" value="' . $result['previev_id'] . '" />
							</div>
							<div class="clear"></div>
						</div>
						<div class="item submit">
							<div class="left"></div>
							<div class="right" style="float:left;">
								<input type="submit" value="' . __('Save') . '" name="send" class="save-button" />
							</div>
							<div class="clear"></div>
						</div>
					</div>
					</form>
				</div>';
			/* END EDIT SECTION FORM */
			

			
			$queryCat = $FpsDB->query("
				SELECT a.*, COUNT(b.`id`) as cnt FROM `" . $FpsDB->getFullTableName('forums') . "` a 
				LEFT JOIN `" . $FpsDB->getFullTableName('themes') . "` b ON b.`id_forum` = a.`id` 
				WHERE a.`in_cat` = '" . $result['id'] . "' GROUP BY a.`id` ORDER BY a.`pos`");
			
			if (count($queryCat) > 0) {
                $cats = array();
				foreach ($queryCat as $cat) {
				
					/* ACl FORUM FORM */
                    $popups_content .= showForumRulesById($cat['id']);

					
					//cat selector and position selector for EDIT FRORUMS
					$cat_selector = '<select name="in_cat" id="cat_secId">';	
					foreach ($query as $key => $category) {
						if ($cat['in_cat'] == $category['id']) {
							$cat_selector .= '<option value="' . $category['id'] . '" selected="selected">' . $category['title'] . '</option>';
						} else {
							$cat_selector .= '<option value="' . $category['id'] . '">' . $category['title'] . '</option>';
						}
					}
					$cat_selector .= '</select>';

					
					
					//selector for subforums
					$sub_selector = '<select name="parent_forum_id">';
					$sub_selector .= '<option value=""></option>';
					if (!empty($forums)) {
						foreach($forums as $forum) {
							if ($cat['id'] == $forum['id']) continue; 
							$selected = ($cat['parent_forum_id'] == $forum['id']) ? 'selected="selected"' : ''; 
							$sub_selector .= '<option value="' . $forum['id'] . '" ' . $selected . '>' 
							. $forum['title'] . '</option>';
						}
					}
					$sub_selector .= '</select>';

					if (is_file(ROOT.'/data/img/forum_icon_'.$cat['id'].'.jpg')) {
						$img = get_url('/data/img/forum_icon_'.$cat['id'].'.jpg');
					} else {
						$img = get_url('/template/'.getTemplate().'/img/guest.png');
					}
					
                    $cats[$cat['id']]['id'] = $cat['id'];
                    $cats[$cat['id']]['text1'] = '<div class="level2">
                                <div class="number">' . $cat['id'] . '</div>
                                <div class="icon"><img src="'.$img.'"></div>
                                <div class="title">';
                    $cats[$cat['id']]['text2'] = h($cat['title']) . '</div>
                                <div class="buttons">
                                    <a title="edit" href="javascript://" onClick="openPopup(\'editForum' . $cat['id'] . '\')" class="edit"></a>
                                    <a title="acl" href="javascript://" onClick="openPopup(\'acl' . $cat['id'] . '\');" class="acl"></a>
                                    <a title="delete" href="?ac=del&id=' . $cat['id'] . '" onClick="return _confirm();" class="delete"></a>
                                </div>
                                <div class="posts"><div>' . $cat['cnt'] . '</div></div>
                            </div>';
                    if (!empty($cat['parent_forum_id']))
                        $cats[$cat['id']]['sub'] = $cat['parent_forum_id'];

							
							
					/* EDIT FORUM FORM */	
					$popups_content .= '<div id="editForum' . $cat['id'] . '" class="popup">
							<div class="top">
								<div class="title">' . __('Editing forum') . '</div>
								<div onClick="closePopup(\'editForum' . $cat['id'] . '\');" class="close"></div>
							</div>
							<form action="cat.php?ac=edit&id=' . $cat['id'] . '" method="POST" enctype="multipart/form-data">
							<div class="items">
								<div class="item">
									<div class="left">
										' . __('Parent section') . ':
									</div>
									<div class="right">' . $cat_selector_ . '</div>
									<div class="clear"></div>
								</div>
								<div class="item">
									<div class="left">
										' . __('Title of forum') . ':
									</div>
									<div class="right">
										<input type="hidden" name="type" value="forum" />
										<input type="text" name="title" value="' . $cat['title'] . '" />
									</div>
									<div class="clear"></div>
								</div>
								<div class="item">
									<div class="left">
										' . __('Forum position') . ':
										<span class="comment">' . __('Numeric') . '</span>
									</div>
									<div class="right">
										<input type="text" name="in_pos" value="' . $cat['pos'] . '" />
									</div>
									<div class="clear"></div>
								</div>
								<div class="item">
									<div class="left">
										' . __('Parent forum') . ':
										<span class="comment">' . __('For which this will be sub-forum') . '</span>
									</div>
									<div class="right">
										' . $sub_selector . '
									</div>
									<div class="clear"></div>
								</div>
								<div class="item">
									<div class="left">
										' . __('Icon') . ':
										<span class="comment">(' . __('Empty field - no icon') . ')<br />
										' . __('The desired size 16x16 px') . '</span>
									</div>
									<div class="right">
										<input type="file" name="icon" />
									</div>
									<div class="clear"></div>
								</div>
								<div class="item">
									<div class="left">
										' . __('Description') . ':
									</div>
									<div class="right">
										<textarea name="description" cols="30" rows="3" />' . $cat['description'] . '</textarea>
									</div>
									<div class="clear"></div>
								</div>
								<div class="item">
									<div class="left">
										' . __('Lock on passwd') . ':
									</div>
									<div class="right">
										<input type="text" name="lock_passwd" value="' . $cat['lock_passwd'] . '" />
									</div>
									<div class="clear"></div>
								</div>
								<div class="item">
									<div class="left">
										' . __('Lock on posts count') . ':
									</div>
									<div class="right">
										<input type="text" name="lock_posts" value="' . $cat['lock_posts'] . '" />
									</div>
									<div class="clear"></div>
								</div>
								<div class="item submit">
									<div class="left"></div>
									<div class="right" style="float:left;">
										<input type="submit" value="' . __('Save') . '" name="send" class="save-button" />
									</div>
									<div class="clear"></div>
								</div>
							</div>
							</form>
						</div>';
					/* END EDIT FORUM FORM */
					
				}
				$newcats = array();
                foreach ($cats as $cat) {
                    if (!isset($cat['sub'])) {
                        $newcats[$cat['id']] = $cat;
                        $qqq = cats($cats, $cat['id']);
                        $html .= $cat['text1'].$cat['text2'];
                        $newcats[$cat['id']] = array_merge($newcats[$cat['id']], $qqq[1]);
                        $html .= $qqq[2];
                    }
                }
			} else {
				$html .= '<div class="level2"><div class="left"><div class="title">' . __('Empty') . '</div></div></div>';
			}
			
			$html .= '</div></div>';
			
		}
		$html .= '</div>';
	} else {
		$html .= __('While empty');
	}
	return array($html,$popups_content);
}





function edit() {
	global $FpsDB, $popups_content;
    
    $FpsDB = getDB();
    
	if (!isset($_POST['title']) || !isset($_POST['type']) || empty($_GET['id'])) {
		redirect('/admin/forum/cat.php');
	}
	if ($_POST['type'] == 'forum' && 
	(!isset($_POST['in_cat']) || !isset($_POST['description']) || !isset($_FILES['icon']))) {
		redirect('/admin/forum/cat.php');
	}
	$id = (int)$_GET['id'];
	if ($id < 1) {
		redirect('/admin/forum/cat.php');
	}
	if (!isset($_POST['in_pos'])) redirect('/admin/forum/cat.php');
	$in_pos = (int)$_POST['in_pos']; 
	if ($in_pos < 1)  redirect('/admin/forum/cat.php');
	$error = '';
	$title = $_POST['title'];
	if (mb_strlen($title) > 200) $error .= '<li>' . __('Title more than 200 symbol') . '</li>';
	
	
	
	if ($_POST['type'] == 'forum') {
		$in_cat = (int)$_POST['in_cat'];
		$description = $_POST['description'];
		if (!empty($_FILES['icon']['name'])) {
			if ($_FILES['icon']['size'] > 102400) $error .= '<li>' . __('Max icon size 100Kb') . '</li>';
			if (!isImageFile($_FILES['icon']['type'], $_FILES['icon']['name'])) $error .= '<li>' . __('Wrong icon format') . '</li>';
			if (!empty($error)) {
				$_SESSION['addErrors'] = $error;
				redirect('/admin/forum/cat.php');
			}
		}
		
		
		
		// Lock forum
		$lock_passwd = '';
		$lock_posts = 0;
		if (!empty($_POST['lock_passwd'])) {
			$lock_passwd = $_POST['lock_passwd'];
			if (mb_strlen($lock_passwd) > 100) $error = $error . '<li>' . __('Forum passwd more than 100 sym.') . '</li>';
		}
		if (!empty($_POST['lock_posts'])) {
			$lock_posts = $_POST['lock_posts'];
			if (mb_strlen($lock_posts) > 100) $error = $error . '<li>' . __('Posts count must be numeric') . '</li>';
		}
		
		
		
		//if isset errors
		if (!empty($error)) {
			$_SESSION['addErrors'] = $error;
			redirect('/admin/forum/cat.php');
		}
		
		//busy position
		$busy = $FpsDB->select('forums', DB_COUNT, array('cond' => array('pos' => $in_pos, 'in_cat' => $in_cat)));
		if ($busy > 0) {
			$FpsDB->query("UPDATE `" . $FpsDB->getFullTableName('forums') . "` SET `pos` = `pos` + 1 WHERE `pos` >= '" . $in_pos . "'");
		}
		//default position ON BOTTOM
		if ($in_pos < 1) {
			$last = $FpsDB->query("SELECT MAX(`pos`) AS last FROM `" . $FpsDB->getFullTableName('forums') . "` WHERE `in_cat` = '" . $in_cat . "' LIMIT 1");
			if (!empty($last[0]['last'])) {
				$in_pos = ((int)$last[0]['last'] + 1);
			} else {
				$in_pos = 1;
			}
		}
		
		
		$parent_forum_id = (int)$_POST['parent_forum_id'];
		$parent_forum_id = (!empty($parent_forum_id)) ? $parent_forum_id : '';
		
		//if allright - saving data
		$query = $FpsDB->save('forums', array(
			'id' => $id,
			'description' => $description,
			'title' => $title,
			'in_cat' => $in_cat,
			'pos' => $in_pos,
			'parent_forum_id' => $parent_forum_id,
			'lock_passwd' => $lock_passwd,
			'lock_posts' => $lock_posts,
		));
		if ($query) {
			if (move_uploaded_file($_FILES['icon']['tmp_name'], ROOT . '/data/img/forum_icon_' . $id . '.jpg')) {
				chmod(ROOT . '/data/img/forum_icon_' . $id . '.jpg', 0755);
			}
		}
	
	
	} else if ($_POST['type'] == 'section') {
		
		//if isset errors
		if (!empty($error)) {
			$_SESSION['addErrors'] = $error;
			redirect('/admin/forum/cat.php');
		}
		
		//busy position
		$busy = $FpsDB->select('forum_cat', DB_COUNT, array('cond' => array('previev_id' => $in_pos)));
		if ($busy > 0) {
			$FpsDB->query("UPDATE `" . $FpsDB->getFullTableName('forum_cat') . "` SET `previev_id` = `previev_id` + 1 WHERE `previev_id` >= '" . $in_pos . "'");
		}
		//default position ON BOTTOM
		if ($in_pos < 1) {
			$last = $FpsDB->query("SELECT MAX(`previev_id`) AS last FROM `" . $FpsDB->getFullTableName('forum_cat') . "` LIMIT 1");
			if (!empty($last[0]['last'])) {
				$in_pos = ((int)$last[0]['last'] + 1);
			} else {
				$in_pos = 1;
			}
		}
		
		$FpsDB->save('forum_cat', array(
			'id' => $id, 
			'title' => $title, 
			'previev_id' => $in_pos,
		));
	}
	redirect('/admin/forum/cat.php');
}




function acl() {
    $_SESSION['addErrors'] = __('Some error occurred');
	if (empty($_GET['id'])) redirect('/admin/forum/cat.php');
	$id_forum = (int)$_GET['id'];
	if ($id_forum < 1) redirect('/admin/forum/cat.php');
	unset($_SESSION['addErrors']);
    
    
    $ACL = Register::getClass('ACL');
    $forum_rules = $ACL->getModuleRules('forum');
    $groups_list = $ACL->get_group_info();
    
	$new_acl_rules = $forum_rules;
    foreach ($forum_rules as $title_rule => $rules) {
        // На всякий случай удаляем повторяющиеся значения
        if (isset($new_acl_rules[$title_rule]['forum.'.$id_forum]['groups']))
            $new_acl_rules[$title_rule]['forum.'.$id_forum]['groups'] = array_unique($new_acl_rules[$title_rule]['forum.'.$id_forum]['groups']);
            
        foreach ($groups_list as $group_id => $group_info) {
            // Меняем права форума
            if (!empty($_POST[$title_rule][$id_forum . '_' . $group_id])) {
            // Выдаем право
                // Если еще нет разрешений, создаем список разрешенных групп
                if (!isset($new_acl_rules[$title_rule]['forum.'.$id_forum]))
                    $new_acl_rules[$title_rule]['forum.'.$id_forum] = array();
                if (!isset($new_acl_rules[$title_rule]['forum.'.$id_forum]['groups']))
                    $new_acl_rules[$title_rule]['forum.'.$id_forum]['groups'] = array();
                
                // Если в существующих разрешениях еще нет разрешения для этой группы, добавляем его
                if (!in_array($group_id, $new_acl_rules[$title_rule]['forum.'.$id_forum]['groups'])) {
                    $new_acl_rules[$title_rule]['forum.'.$id_forum]['groups'][] = $group_id;
                }
            // Забираем право
            } else {
                // Если список разрешенных групп для права существует и группа для запрета в него входит, то удаляем её из этого списка
                if (isset($new_acl_rules[$title_rule]['forum.'.$id_forum])) {
                    if (isset($new_acl_rules[$title_rule]['forum.'.$id_forum]['groups']) && ($offkey = array_search($group_id, $new_acl_rules[$title_rule]['forum.'.$id_forum]['groups'])) !== false)
                        unset($new_acl_rules[$title_rule]['forum.'.$id_forum]['groups'][$offkey]);
                    // Если список юзеров пустой - удаляем список
                    if (empty($new_acl_rules[$title_rule]['forum.'.$id_forum]['users']))
                        unset($new_acl_rules[$title_rule]['forum.'.$id_forum]['users']);
                    // Если список групп пустой - удаляем список
                    if (empty($new_acl_rules[$title_rule]['forum.'.$id_forum]['groups']))
                        unset($new_acl_rules[$title_rule]['forum.'.$id_forum]['groups']);
                    // Если массив с правами форума пустой - удаляем список прав форума
                    if (empty($new_acl_rules[$title_rule]['forum.'.$id_forum]))
                        unset($new_acl_rules[$title_rule]['forum.'.$id_forum]);
                }
                    
            }
        }
    }
    
    /* Список независящих от основых прав групп форумов */
    // На всякий случай убираем повторяющиеся id
    $new_acl_rules['not_use_global_rights'] = array_unique($new_acl_rules['not_use_global_rights']);
    // Если отправлено непустое значение - добавлем форум в список независящих от глобальных прав
    if (!empty($_POST['not_use_global_rights']['forum.'.$id_forum])) {
        if (!in_array($id_forum,$new_acl_rules['not_use_global_rights']))
            $new_acl_rules['not_use_global_rights'][] = $id_forum;
    // Если пустое
    } else {
        if (($offkey = array_search($id_forum, $new_acl_rules['not_use_global_rights'])) !== false)
            unset($new_acl_rules['not_use_global_rights'][$offkey]);
    }
    
    
    $ACL->save_rules($new_acl_rules,'/modules/forum/acl_rules.php');
	

	redirect('/admin/forum/cat.php');
}





function add() {
	global $FpsDB, $popups_content;
    
    $FpsDB = getDB();
    
	if (empty($_POST['type'])) redirect('/admin/forum/cat.php');
	if (!isset($_POST['title'])) redirect('/admin/forum/cat.php');
	if (!isset($_POST['in_pos'])) redirect('/admin/forum/cat.php');
	
	$in_pos = (int)$_POST['in_pos'];
	if ($_POST['type'] == 'forum' && (!isset($_FILES['icon']) || !isset($_POST['in_cat']))) redirect('/admin/forum_cat.php');
	$title = $_POST['title'];
	$error = '';
	if (empty($title)) $error .= '<li>' . __('Empty field "title"') . '</li>';
	
	
	if ($_POST['type'] == 'section') {
		if (mb_strlen($title) > 200) $error .= '<li>' . __('Title more than 200 symbol') . '</li>';
		//if isset errors
		if (!empty($error)) {
			$_SESSION['addErrors'] = $error;
			redirect('/admin/forum/cat.php');
		}
		
		//busy position
		$busy = $FpsDB->select('forum_cat', DB_COUNT, array('cond' => array('previev_id' => $in_pos)));
		if ($busy > 0) {
			$FpsDB->query("UPDATE `" . $FpsDB->getFullTableName('forum_cat') . "` SET `previev_id` = `previev_id` + 1 WHERE `previev_id` >= '" . $in_pos . "'");
		}
		//default position ON BOTTOM
		if ($in_pos < 1) {
			$last = $FpsDB->query("SELECT MAX(`previev_id`) AS last FROM `" . $FpsDB->getFullTableName('forum_cat') . "` LIMIT 1");
			if (!empty($last[0]['last'])) {
				$in_pos = ((int)$last[0]['last'] + 1);
			} else {
				$in_pos = 1;
			}
		}
		$FpsDB->save('forum_cat', array('title' => $title, 'previev_id' => $in_pos));
	
	
	} elseif ($_POST['type'] == 'forum') {
		$in_cat = (int)$_POST['in_cat'];
		if (!empty($_FILES['icon']['name'])) {
			if ($_FILES['icon']['size'] > 102400) $error = $error . '<li>' . __('Max icon size 100Kb') . '</li>';
			if (!isImageFile($_FILES['icon']['type'])) $error = $error . '<li>' . __('Wrong icon format') . '</li>';
		}
		
		
		// Lock forum
		$lock_passwd = '';
		$lock_posts = 0;
		if (!empty($_POST['lock_passwd'])) {
			$lock_passwd = $_POST['lock_passwd'];
			if (mb_strlen($lock_passwd) > 100) $error = $error . '<li>' . __('Forum passwd more than 100 sym.') . '</li>';
		}
		if (!empty($_POST['lock_posts'])) {
			$lock_posts = $_POST['lock_posts'];
			if (mb_strlen($lock_posts) > 100) $error = $error . '<li>' . __('Posts count must be numeric') . '</li>';
		}
		
		
		if (!empty($error)) {
			$_SESSION['addErrors'] = $error;
			redirect('/admin/forum/cat.php');
		}
		
		//busy position
		$busy = $FpsDB->select('forums', DB_COUNT, array('cond' => array('pos' => $in_pos, 'in_cat' => $in_cat)));
		if ($busy > 0) {
			$FpsDB->query("UPDATE `" . $FpsDB->getFullTableName('forums') . "` SET `pos` = `pos` + 1 WHERE `pos` >= '" . $in_pos . "'");
		}
		//default position ON BOTTOM
		if ($in_pos < 1) {
			$last = $FpsDB->query("SELECT MAX(`pos`) AS last FROM `" . $FpsDB->getFullTableName('forums') . "` WHERE `in_cat` = '" . $in_cat . "' LIMIT 1");
			if (!empty($last[0]['last'])) {
				$in_pos = ((int)$last[0]['last'] + 1);
			} else {
				$in_pos = 1;
			}
		}
		
		$parent_forum_id = (int)$_POST['parent_forum_id'];
		$parent_forum_id = (!empty($parent_forum_id)) ? $parent_forum_id : '';
		
		$description = $_POST['description'];
		$id = $FpsDB->save('forums', array(
			'description' => $description,
			'title' => $title,
			'in_cat' => $in_cat,
			'pos' => $in_pos,
			'parent_forum_id' => $parent_forum_id,
			'lock_passwd' => $lock_passwd,
			'lock_posts' => $lock_posts,
		));

        if (empty($id)) {
            $_SESSION['addErrors'] = __('Some error occurred');
            redirect('/admin/forum/cat.php');
        }

		if (!empty($_FILES['icon']['name'])) {
			if (move_uploaded_file($_FILES['icon']['tmp_name'], ROOT . '/data/img/forum_icon_' . $id . '.jpg')) {
				chmod(ROOT . '/data/img/forum_icon_' . $id . '.jpg', 0755);
			}
		}
	}
	redirect('/admin/forum/cat.php');
	
}





function delete() {
	global $FpsDB, $popups_content;
    
    $FpsDB = getDB();
    
	if (empty($_GET['id']) || !is_numeric($_GET['id']))  header ('Location: /');
	$id = (int)$_GET['id']; 
	if ($id < 1) redirect('/admin/forum/cat.php');
	
	if (!isset($_GET['section'])) {
		$sql = $FpsDB->select('themes', DB_ALL, array('cond' => array('id_forum' => $id)));
		if (count($sql) > 0) {
			foreach ($sql as $result) {
				delete_theme($result['id']);
			}
		}
		$FpsDB->query("DELETE FROM `" . $FpsDB->getFullTableName('forums') . "` WHERE `id`='{$id}'");
		if (file_exists(ROOT . '/data/img/forum_icon_' . $id . '.jpg')) 
			unlink(ROOT . '/data/img/forum_icon_' . $id . '.jpg');
	} else {
		$sql = $FpsDB->select('forums', DB_ALL, array('cond' => array('in_cat' => $id)));
		if (count($sql) > 0) {
			foreach ($sql as $_result) {
				$sql = $FpsDB->select('themes', DB_ALL, array('cond' => array('id_forum' => $_result['id'])));
				if (count($sql) > 0) {
					foreach ($sql as $result) {
						delete_theme($result['id']);
					}
				}
				if (file_exists(ROOT . '/data/img/forum_icon_' . $_result['id'] . '.jpg')) 
					unlink(ROOT . '/data/img/forum_icon_' . $_result['id'] . '.jpg');
			}
		}
		$FpsDB->query("DELETE FROM `" . $FpsDB->getFullTableName('forums') . "` WHERE `in_cat`='{$id}'");
		$FpsDB->query("DELETE FROM `" . $FpsDB->getFullTableName('forum_cat') . "` WHERE `id`='{$id}'");
	}
	redirect('/admin/forum/cat.php');
}

// Функция удаляет тему; ID темы передается методом GET
function delete_theme($id_theme) {
	global $FpsDB, $popups_content;
    
    $FpsDB = getDB();
    
	// Если не передан ID темы, которую надо удалить
	if (empty($id_theme)) {
		redirect('/admin/forum/cat.php');
	}
	$id_theme = (int)$id_theme;
	if ( $id_theme < 1 ) {
		redirect('/admin/forum/cat.php');
	}
	
	// delete colision ( this is paranoia )
	$FpsDB->query("DELETE FROM `" . $FpsDB->getFullTableName('themes') . "` WHERE id NOT IN (SELECT DISTINCT id_theme FROM `" . $FpsDB->getFullTableName('posts') . "`)");
	$FpsDB->query("DELETE FROM `" . $FpsDB->getFullTableName('posts') . "` WHERE id_theme NOT IN (SELECT id FROM `" . $FpsDB->getFullTableName('themes') . "`)");

	
	
	// Сперва мы должны удалить все сообщения (посты) темы;
	// начнем с того, что удалим файлы вложений
	$res = $FpsDB->select('posts', DB_ALL, array('cond' => array('id_theme' => $id_theme)));
	if (count($res) > 0) {
		foreach ($res as $file) {
			// Удаляем файл, если он есть
			$attach_files = $FpsDB->select('forum_attaches', DB_ALL, array('cond' => array('post_id' => $file['id'])));
			if (count($attach_files) > 0) {
				foreach ($attach_files as $attach_file) {
					if (file_exists(ROOT . '/data/files/forum/' . $attach_file['filename'])) {
						if (@unlink(ROOT . '/data/files/forum/' . $attach_file['filename'])) {
							$FpsDB->query("DELETE FROM `" . $FpsDB->getFullTableName('forum_attaches') . "` WHERE `id`='" . $attach_file['id'] . "'");
						}
					}
				}
			}
			// заодно обновляем таблицу TABLE_USERS - надо обновить поле posts (кол-во сообщений)
			if ( $file['id_author'] ) {
				$FpsDB->query("UPDATE `" . $FpsDB->getFullTableName('users') . "` SET `posts` = `posts` - 1 WHERE `id` = '" . $file['id_author'] . "'");
			}
		}
	}
	
	
	$attach_files = $FpsDB->select('forum_attaches', DB_ALL, array('cond' => array('theme_id' => $id_theme)));
	if (count($attach_files) > 0) {
		foreach ($attach_files as $attach_file) {
			if (file_exists(ROOT . '/data/files/forum/' . $attach_file['filename'])) {
				if (@unlink(ROOT . '/data/files/forum/' . $attach_file['filename'])) {
					$FpsDB->query("DELETE FROM `" . $FpsDB->getFullTableName('forum_attaches') . "` WHERE `id`='" . $attach_file['id'] . "'");
				}
			}
		}
	}

	//we must know id_forum
	$theme = $FpsDB->select('themes', DB_FIRST, array('cond' => array('id' => $id_theme)));
	
	
	//delete posts and theme
	$p_res = $FpsDB->query("DELETE FROM `" . $FpsDB->getFullTableName('posts') . "` WHERE `id_theme` = '" . $id_theme . "'");
	$t_res = $FpsDB->query("DELETE FROM `" . $FpsDB->getFullTableName('themes') . "` WHERE `id` = '" . $id_theme . "'");
	
	if (!empty($theme[0]['id_author'])) {
		// Обновляем таблицу TABLE_USERS - надо обновить поле themes
		$u_res = $FpsDB->query("UPDATE `" . $FpsDB->getFullTableName('users') . "` SET `themes` = `themes` - 1
				WHERE `id` = '" . $theme[0]['id_author'] . "'");
	}
	//clean cache
	$Cache = new Cache;
	$Cache->clean(CACHE_MATCHING_ANY_TAG, array('theme_id_' . $id_theme,));
	$Cache->clean(CACHE_MATCHING_TAG, array('module_forum', 'action_index'));
}


//delete "0" values from forums pos AND forums_cat previev_id
function deleteCollisions() {
	global $FpsDB, $popups_content;
    
    $FpsDB = getDB();
    
	$categories_err = $FpsDB->select('forum_cat', DB_COUNT, array('cond' => array('previev_id' => 0)));
	$forums_err = $FpsDB->select('forums', DB_COUNT, array('cond' => array('pos' => 0)));
	if ($categories_err > 0 || $forums_err > 0) {
		$categories = $FpsDB->select('forum_cat', DB_ALL);
		if (count($categories) > 0) {
			foreach ($categories as $cat_key => $cat) {
				$forums = $FpsDB->select('forums', DB_ALL, array('cond' => array('in_cat' => $cat['id'])));
				if (count($forums) > 0) {
					foreach ($forums as $key => $forum) {
						$FpsDB->save('forums', array(
							'id' => $forum['id'],
							'pos' => ($key + 1),
						));
					}
				}
				if ((int)$cat['previev_id'] < 1) {
					$FpsDB->save('forum_cat', array(
						'id' => $cat['id'],
						'previev_id' => ($cat_key + 1),
					));
				}
			}
		}
	}
	return;
}

include_once R.'admin/template/footer.php';
?>